package lsystemsapp.lsystems;

/**
 Skalowanie. Zamiana wspolrzednych rzeczywostych w ktorych funkcjonuje
 zolw na wspolrzedne ekranowe.
*/

public class Skalowanie {
  private int szer, wys, sx, sy;
  private double rszer, rwys, rsx, rsy;

  public Skalowanie(int Szer, int Wys, double Rszer, double Rwys, double Rsx, double Rsy) {
    szer = Szer;          //szerokosc ekranu, na ktorym odbywa sie rysowanie
    wys = Wys;            //wysokosc ekranu, na ktorym odbywa sie rysowanie
    rszer = Rszer;        //szerokosc ukladu wspolrzednych
    rwys = Rwys;          //wysokosc ukladu wspolrzednych
    rsx = Rsx;            //srodek x ukladu wspolrzednych
    rsy = Rsy;            //srodek y ukladu wspolrzednych

    sx = (int)((Rsx+Rszer/2.)/rszer*szer);//srodek ekranowy, w pikselach
    sy = (int)(-(Rsy+Rwys/2.)/rwys*wys);

  }

  //wspolrzedna ekranowa x
  public int daj_x(double x){
    return sx + (int)(x*(szer/rszer));
  }

  //wspolrzedna ekranowa y
  public int daj_y(double y){
    return -sy - (int)(y*(wys/rwys));
  }

  //szerokosc ekranowa x
  public int daj_szer(double x){
    return (int)(x*szer/rszer);
  }

  //szerokosc ekranowa y
  public int daj_wys(double y){
    return (int)(y*wys/rwys);
  }

}
