package lsystemsapp.lsystems;

import java.util.*;

/*
 Interpretacja pojedynczego symbolu. Jest to ciag rozkazow dla zolwia,
 rowniez dotyczacych rysowania wielokatow (klasa Poly2D).
*/


public class SymbolInterpretation {
    private String symbol;
    private ArrayList orders = new ArrayList();
    private int pos=0;
    public SymbolInterpretation(String symbol) {
        this.symbol=symbol;
    }

    public void addOrder(Object o){
        orders.add(o);
    }

    public int getOrderCount(){
        return orders.toArray().length;
    }

    public Object getNextOrder(){
        if(pos>=orders.toArray().length) {
            pos = 0;
            return null;
        }
        return orders.get(pos++);
    }

    public String getSymbol(){
        return symbol;
    }

}
