package lsystemsapp.lsystems;

/**
 Produkcja. Zawiera symbol lewej strony i ciag symboli z prawej strony.
 Kazdy symbol to jeden znak (litera, +, -, [ lub ]).
 Produkcja zawiera takze wage - prawdopodobienstwo z jakim zostanie uzyta
 (ma znaczenie kiedy jest wiecej produkcji o takim samym symbolu
 lewej strony)
*/

public class Production {
    String leftSide, rightSide;
    double probability=1;
    public Production(String leftSide, String rightSide) {
        this.leftSide=leftSide;
        this.rightSide=rightSide;
    }

    public Production(String leftSide, String rightSide, double probability) {
        this.leftSide=leftSide;
        this.rightSide=rightSide;
        this.probability=probability;
    }

    public String getLeftSide(){
        return leftSide;
    }

    public String getRightSide(){
        return rightSide;
    }

    public double getProbability(){
        return probability;
    }

    public String toString(){
        return probability+" "+leftSide+"->"+rightSide;
    }


}
